| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csWeakRefArray< T > Class Template Reference

An array of weak references. More...

`#include <csutil/weakrefarr.h>`

Inheritance diagram for csWeakRefArray< T >:

[legend]
List of all members.

## Public Member Functions
void | Compact ()
| Compact this array by removing all weak references that have become 0.
| csWeakRefArray (int ilimit=0, int ithreshold=0)
| Initialize object to hold initially 'ilimit' elements, and increase storage by 'ithreshold' each time the upper bound is exceeded.

## Detailed Description

### template<class T>
class csWeakRefArray< T >

An array of weak references.

Definition at line 41 of file weakrefarr.h.

## Constructor & Destructor Documentation

template<class T>

csWeakRefArray< T >::csWeakRefArray | ( | int | ilimit = `0`,
|  | int | ithreshold = `0` |
| ) |  |  | `[inline]`

Initialize object to hold initially 'ilimit' elements, and increase storage by 'ithreshold' each time the upper bound is exceeded.

Definition at line 48 of file weakrefarr.h.

## Member Function Documentation

template<class T>

void csWeakRefArray< T >::Compact | ( |  | ) | `[inline]`

Compact this array by removing all weak references that have become 0.

Definition at line 57 of file weakrefarr.h.

References csArray< csWeakRef< T >, csArraySafeCopyElementHandler< csWeakRef< T > > >::Length().

The documentation for this class was generated from the following file:

- csutil/weakrefarr.h